VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
GroupController Class Reference

`#include <vst3groupcontroller.h>`

Inheritance diagram for GroupController:

## Public Member Functions
| GroupController (Steinberg::Vst::Parameter *parameter, Steinberg::Vst::EditController *editController)
| ~GroupController ()
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
void | valueChanged (CControl *pControl) override
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
Public Member Functions inherited from IController
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0 More...
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Protected Types
using | ControlList = std::vector< CControl * >

## Protected Member Functions
void PLUGIN_API | update (Steinberg::FUnknown *changedUnknown, Steinberg::int32 message) override

## Protected Attributes
Steinberg::Vst::Parameter * | parameter
Steinberg::Vst::EditController * | editController
ControlList | controls

## Member Typedef Documentation

## ◆ ControlList

using ControlList = std::vector<CControl*>
| protected

## Constructor & Destructor Documentation

## ◆ GroupController()

GroupController | ( | Steinberg::Vst::Parameter * | parameter,
|  | Steinberg::Vst::EditController * | editController
| ) |  |

## ◆ ~GroupController()

~GroupController | ( |  | ) |

## Member Function Documentation

## ◆ controlBeginEdit()

void controlBeginEdit | ( | CControl * | pControl | ) |
| override virtual

Reimplemented from IControlListener.

## ◆ controlEndEdit()

void controlEndEdit | ( | CControl * | pControl | ) |
| override virtual

Reimplemented from IControlListener.

## ◆ update()

void PLUGIN_API update | ( | Steinberg::FUnknown * | changedUnknown,
|  | Steinberg::int32 | message
| ) |  |
| override protected

## ◆ valueChanged()

void valueChanged | ( | CControl * | pControl | ) |
| override virtual

Implements IControlListener.

## ◆ verifyView()

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| override virtual

Reimplemented from IController.

## Member Data Documentation

## ◆ controls

ControlList controls
| protected

## ◆ editController

Steinberg::Vst::EditController* editController
| protected

## ◆ parameter

Steinberg::Vst::Parameter* parameter
| protected

The documentation for this class was generated from the following files:

- vst3groupcontroller.h
- vst3groupcontroller.cpp